<?php

namespace jrosset\CliProgram;

use Symfony\Component\Console\Output\ConsoleOutputInterface;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Helper class for command/application output
 */
abstract class OutputHelper {
    /**
     * Get the “error” output if exists, else the output itself
     *
     * @param OutputInterface $output The output
     *
     * @return OutputInterface The “error” output if exists, else the output itself
     */
    public static final function getErrorOutput (OutputInterface $output): OutputInterface {
        return $output instanceof ConsoleOutputInterface ? $output->getErrorOutput() : $output;
    }
}